# 环境
NODE_ENV=production

# =================================
# 本地变量（当前文件内使用）
# =================================

# 基础主机
BASE_HOST=http://223.223.177.220

# API 端口
API_PORT=7766
# API 路径前缀
API_PREFIX=/tnc

# WEB 端口
WEB_PORT=7766
# WEB 路径前缀
WEB_PREFIX=/web/tnc
# WEB 根目录
# 影响 vue.config.js 中 publicPath 和 public/index.html 中的 <%= BASE_URL %>
WEB_PUBLIC=/web/tnc/

# 在线预览主机端口
ONLINE_HOST_PORT=http://223.223.177.220:8012

# API 主机
API_HOST_PORT=${BASE_HOST}:${API_PORT}
# WEB 主机
WEB_HOST_PORT=${BASE_HOST}:${WEB_PORT}

# =================================
# 全局变量（必须以 VUE_APP_ 开头）
# 使用方法 process.env.VUE_APP_XXX
# =================================

# API 端口
VUE_APP_API_PORT=${API_PORT}
# API 主机端口
VUE_APP_API_HOST_PORT=${API_HOST_PORT}
# API 路径前缀
VUE_APP_API_PREFIX=${API_PREFIX}
# API 接口基础路径
VUE_APP_API_BASE_URL=${API_HOST_PORT}${API_PREFIX}

# WEB 端口
VUE_APP_WEB_PORT=${WEB_PORT}
# WEB 主机端口
VUE_APP_WEB_HOST_PORT=${WEB_HOST_PORT}
# WEB 路径前缀
VUE_APP_WEB_PREFIX=${WEB_PREFIX}
# WEB 根目录
VUE_APP_WEB_PUBLIC=${WEB_PUBLIC}
# WEB 基础路径
VUE_APP_WEB_BASE_URL=${WEB_HOST_PORT}${WEB_PREFIX}

# 在线预览路径
VUE_APP_ONLINE_BASE_URL=${ONLINE_HOST_PORT}/onlinePreview

# 暂时无用
VUE_APP_CAS_BASE_URL=http://cas.example.org:8443/cas
# 微应用列表必须VUE_APP_SUB_开头,jeecg-app-1为子应用的项目名称,也是子应用的路由父路径
VUE_APP_SUB_jeecg-app-1 = '//localhost:8092'

